# Electric/electric.py

# Python script to read electic field data files and produce animated graph.
# Script uses numpy and matplotlib packages.
# Script calls ImageMagick.
# To run script type 'python electric.py' from directory in which script resides.

import os
import numpy as np
import matplotlib.pyplot as plt

for file in os.listdir ("."):
    if file.endswith (".out"):
        print (file)

        data = np.loadtxt (file)

        plt.plot (data[:,0], data[:,1], linewidth = 2, color = 'b')
        plt.plot ([0,100], [0,0],  linewidth = 1, color = 'k', linestyle = '--')
        plt.axis ([0, 100, -2.5, 2.5])
        plt.xlabel ('x')
        plt.ylabel ('E')
        plt.title (file)
 
        file = file.replace ("out", "png")
        plt.savefig (file)

        plt.clf ()

os.system ("convert -delay 10 -loop 1 *.png Animation.gif")           
