# Energy/energy.py

# Python script to plot system energy versus time.
# Script uses numpy and matplotlib packages.
# To run script type 'python energy.py' from directory in which script resides.

import os
import numpy as np
import matplotlib.pyplot as plt

data = np.loadtxt ("energy.out")

plt.plot (data[:,0], data[:,2], linewidth = 2, color = 'b')
plt.plot (data[:,0], data[:,1], linewidth = 2, color = 'r', linestyle = '--')
plt.xlabel ('t')
plt.ylabel ('Energy per electron')

plt.savefig('energy.png')

