# Phase/phase.py

# Python script to read electron phase-space coordinate data files and produce animated scatter plot.
# Script uses numpy and matplotlib packages.
# Script calls ImageMagick.
# To run script type 'python phase.py' from directory in which script resides.

import os
import numpy as np
import matplotlib.pyplot as plt

for file in os.listdir ("."):
    if file.endswith (".out"):
        print (file)

        data = np.loadtxt (file)

        plt.scatter (data[:,0], data[:,1], s = 1, c = 'k', marker = 'o')
        plt.axis ([0, 100, -10, 10])
        plt.xlabel ('x')
        plt.ylabel ('v')
        plt.title (file)

        file = file.replace ("out", "png")
        plt.savefig (file)

        plt.clf ()

os.system ("convert -delay 10 -loop 1 *.png Animation.gif")           
